{"id":24625,"date":"2020-09-28T08:04:05","date_gmt":"2020-09-28T07:04:05","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=24625"},"modified":"2023-06-15T17:42:49","modified_gmt":"2023-06-15T16:42:49","slug":"add-questions-from-extract-kg","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/add-questions-from-extract-kg\/","title":{"rendered":"Add Questions from Extract &#8211; KG"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To add specific questions to the Knowledge graph.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400\"><code>https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/faqs\/bulk?language=en<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Manage Knowledge Graph<\/li>\n<li>Admin Console: Manage Knowledge Graph<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>host<\/b><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><b>BotId<\/b><\/td>\n<td><i>Bot ID<\/i> or <i>Stream ID<\/i> can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th>Mandate<\/th>\n<\/tr>\n<tr>\n<td><b>language<\/b><\/td>\n<td>The Bot language which is identified by the language acronym. For example, <em>en<\/em> for English and <em>de<\/em> for German. The user can set the default language of the bot.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre class=\"code-limit-400px\">curl --location 'https:\/\/bots.kore.ai\/api\/public\/bot\/botID\/faqs\/bulk?language=en' \\\r\n--header 'auth: token' \\\r\n--header 'content-type: application\/json' \\\r\n--data-raw '{\r\n\"faqs\": [\r\n{\r\n\"questionPayload\": {\r\n\"question\": \"question\", \/\/question - GET EXTRACTION QUESTION(https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-extraction-questions-kg\/)\r\n\"tagsPayload\": []\r\n},\r\n\"answerPayload\": [\r\n{\r\n\"text\": \"<answer>\", \/\/answer - GET EXTRACTION QUESTION(https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-extraction-questions-kg\/)\r\n\"type\": \"basic\",\r\n\"channel\": \"default\"\r\n}\r\n],\r\n\"knowledgeTaskId\": \"645e0aab1ee65252a433d457\", \/\/ \"_id\" - GET KNOWLEDGE TASKS(https: \/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-knowledgetasks-kg\/)\r\n\"subQuestions\": [],\r\n\"responseType\": \"message\",\r\n\"subAnswers\": [],\r\n\"streamId\": \"botId\",\r\n\"parent\": \"f1324935-341d-5b0e-8551-c705a2eb58b9\", \/\/\"parent\" - GET KNOWLEDGE TASKS(https: \/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-knowledgetasks-kg\/)\r\n\"leafterm\": \"Botname\", \r\n\"qsId\": \"qna-f6014fd0-f8e8-5cb1-b952-cf9e57091ffc\" \/\/ \"_id\" -  GET EXTRACTION QUESTION(https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-extraction-questions-kg\/)\r\n}\r\n]\r\n}'\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<th><b>Mandate<\/b><\/th>\n<\/tr>\n<tr>\n<td><b>faqs<\/b><\/td>\n<td>\n<p>An array with the following parameter values:<\/p>\n<ul>\n<li>questionPayload\n<ul>\n<li>question<\/li>\n<\/ul>\n<\/li>\n<li>answerPayload\n<ul>\n<li>text<\/li>\n<li>type<\/li>\n<li>channel<\/li>\n<\/ul>\n<\/li>\n<li>knowledgeTaskId<\/li>\n<li>subQuestions<\/li>\n<li>responseType<\/li>\n<li>subAnswers<\/li>\n<li>streamId<\/li>\n<li>parent<\/li>\n<li>leafterm<\/li>\n<li>qsId<\/li>\n<\/ul>\n<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{ \r\n      \u201cstatus\u201d: \u201csuccess\u201d\r\n} \r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To add specific questions to the Knowledge graph. &nbsp; Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{botId}}\/faqs\/bulk?language=en Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Manage Knowledge Graph Admin Console: Manage Knowledge Graph &nbsp; Path Parameters Parameter Description Mandate host The environment URL. For example, https:\/\/bots.kore.ai Required BotId Bot ID...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-24625","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24625","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=24625"}],"version-history":[{"count":7,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24625\/revisions"}],"predecessor-version":[{"id":57435,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24625\/revisions\/57435"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=24625"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=24625"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=24625"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}